### Signal

# AyatanaAppIndicatorGlib Indicator::activate

#### Declaration

    void
    activate (
      AppIndicator* self,
      gint arg1,
      gint arg2,
      gpointer user_data
    )

#### Description

Signaled when the `AppIndicator` receives a primary activation event (e.g. left-click on the tray icon).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`arg1`

  Type: `gint`

  The x coordinate of the activation.

`arg2`

  Type: `gint`

  The y coordinate of the activation.